Package org.jcsp.util.filter

# Interface Filter

All Known Implementing Classes:
  `PoisonFilter`

public interface Filter
Interface for channel plug-ins that define filtering operations - transformations on the data as it is read or written. A channel (or channel end) that supports filtering will implement the `ReadFiltered` or `WriteFiltered` interface which allows instances of `Filter` to be installed or removed from the channel.

Author:
  Quickstone Technologies Limited
See Also:
  - `FilteredChannel`
  - `FilteredChannelEnd`
  - `ReadFiltered`
  - `WriteFiltered`

## Method Summary

Modifier and Type
Method
Description
`Object`
`filter(Object obj)`
Applies the filter operation.

## Method Details

### filter

Object filter(Object obj)
Applies the filter operation. The object given can be modified and returned or another object substituted in its place.

Parameters:
  `obj` - the original object in the channel communication.
Returns:
  the modified/substituted object after filtration.